"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _default = params => {
  const meta = (0, _objectSpread2.default)({
    page: 0,
    perPage: 0,
    totalCount: 0,
    totalPages: null,
    from: null,
    to: null,
    nextPage: null,
    previousPage: null
  }, params);

  if (meta.page && meta.perPage) {
    meta.totalPages = Math.ceil(meta.totalCount / meta.perPage);

    if (meta.totalCount) {
      meta.from = 1 + meta.perPage * (meta.page - 1);
    } else {
      meta.from = 0;
    }

    meta.to = meta.perPage * meta.page;

    if (meta.to > meta.totalCount) {
      meta.to = meta.totalCount;
    }

    meta.nextPage = meta.page < meta.totalPages ? meta.page + 1 : null;
    meta.previousPage = meta.page === 1 ? null : meta.page - 1;
  }

  return meta;
};

exports.default = _default;
//# sourceMappingURL=createPaginationMeta.js.map