"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _webinyModel = require("webiny-model");

var _index = require("../index");

class ModelAttribute extends _webinyModel.ModelAttribute {
  getModelInstance() {
    const parentModel = this.getParentModel();
    const parentEntity = parentModel.getParentEntity();
    const modelClass = this.getModelClass();
    return new modelClass({
      parentEntity
    });
  }

}

var _default = ModelAttribute;
exports.default = _default;
//# sourceMappingURL=modelAttribute.js.map