"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _webinyModel = require("webiny-model");

var _entityModel = _interopRequireDefault(require("./../entityModel"));

class ModelsAttribute extends _webinyModel.ModelsAttribute {
  getModelInstance() {
    const parentModel = this.getParentModel();
    const parentEntity = parentModel.getParentEntity();
    const modelClass = this.getModelClass();
    return new modelClass({
      parentEntity
    });
  }

}

var _default = ModelsAttribute;
exports.default = _default;
//# sourceMappingURL=modelsAttribute.js.map