"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

class EntityError extends Error {
  constructor(message, code, data) {
    super();
    (0, _defineProperty2.default)(this, "message", void 0);
    (0, _defineProperty2.default)(this, "data", void 0);
    (0, _defineProperty2.default)(this, "code", void 0);
    this.message = message;
    this.data = data;
    this.code = code;
  }

}

(0, _defineProperty2.default)(EntityError, "ATTRIBUTE_NOT_FOUND", void 0);
(0, _defineProperty2.default)(EntityError, "CANNOT_DELETE_NO_ID", void 0);
(0, _defineProperty2.default)(EntityError, "MODEL_MISSING", void 0);
(0, _defineProperty2.default)(EntityError, "MAX_PER_PAGE_EXCEEDED", void 0);
EntityError.ATTRIBUTE_NOT_FOUND = "ATTRIBUTE_NOT_FOUND";
EntityError.CANNOT_DELETE_NO_ID = "CANNOT_DELETE_NO_ID";
EntityError.MODEL_MISSING = "MODEL_MISSING";
EntityError.MAX_PER_PAGE_EXCEEDED = "MAX_PER_PAGE_EXCEEDED";
var _default = EntityError;
exports.default = _default;
//# sourceMappingURL=entityError.js.map