"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _webinyModel = require("webiny-model");

var _entityAttributesContainer = _interopRequireDefault(require("./entityAttributesContainer"));

class EntityModel extends _webinyModel.Model {
  constructor(params) {
    super();
    (0, _defineProperty2.default)(this, "parentEntity", void 0);

    if (params && typeof params === "object") {
      this.setParentEntity(params.parentEntity);
    }
  }

  setParentEntity(parentEntity) {
    this.parentEntity = parentEntity;
    return this;
  }

  getParentEntity() {
    return this.parentEntity;
  }

  createAttributesContainer() {
    return new _entityAttributesContainer.default(this);
  }

}

var _default = EntityModel;
exports.default = _default;
//# sourceMappingURL=entityModel.js.map