"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

class QueryResult {
  constructor(result, meta = {}) {
    (0, _defineProperty2.default)(this, "result", void 0);
    (0, _defineProperty2.default)(this, "meta", void 0);
    this.result = result;
    this.meta = meta;
  }

  setResult(result) {
    this.result = result;
    return this;
  }

  getResult() {
    return this.result;
  }

  setMeta(meta) {
    this.meta = meta;
    return this;
  }

  getMeta() {
    return this.meta;
  }

  setCount(count) {
    this.meta.count = count;
    return this;
  }

  getCount() {
    return this.meta.count;
  }

}

var _default = QueryResult;
exports.default = _default;
//# sourceMappingURL=queryResult.js.map