"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _queryResult = _interopRequireDefault(require("./queryResult"));

var _entityModel = _interopRequireDefault(require("./entityModel"));

class Driver {
  constructor() {
    (0, _defineProperty2.default)(this, "connection", void 0);
    this.connection = null;
  } // eslint-disable-next-line


  onEntityConstruct(entity) {}

  getModelClass() {
    return _entityModel.default;
  } // eslint-disable-next-line


  async save(entity, params) {
    return new _queryResult.default();
  } // eslint-disable-next-line


  async delete(entity, params) {
    return new _queryResult.default();
  } // eslint-disable-next-line


  async findOne(entity, params // eslint-disable-line
  ) {
    return new _queryResult.default();
  } // eslint-disable-next-line


  async find(entity, params // eslint-disable-line
  ) {
    return new _queryResult.default();
  } // eslint-disable-next-line


  async count(entity, params // eslint-disable-line
  ) {
    return new _queryResult.default(0);
  }

  getConnection() {
    return this.connection;
  } // eslint-disable-next-line


  isId(entity, id, params) {
    return typeof id === "string";
  }

  test() {
    return true;
  }

}

var _default = Driver;
exports.default = _default;
//# sourceMappingURL=driver.js.map