"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _ = require(".");

class EntityPoolEntry {
  constructor(entity) {
    (0, _defineProperty2.default)(this, "entity", void 0);
    (0, _defineProperty2.default)(this, "meta", void 0);
    this.entity = entity;
    this.meta = {
      createdOn: new Date()
    };
  }

  getEntity() {
    return this.entity;
  }

  setEntity(entity) {
    this.entity = entity;
    return this;
  }

  getMeta() {
    return this.meta;
  }

  setMeta(meta) {
    this.meta = meta;
    return this;
  }

}

var _default = EntityPoolEntry;
exports.default = _default;
//# sourceMappingURL=entityPoolEntry.js.map